[user]
  email = ava+git@basking.monster
  name = gaiety

[apply]
  # Detect whitespace errors when applying a patch
  whitespace = fix

[color]
  ui = auto

[color "diff"]
  meta = yellow bold
  frag = magenta bold # line info
  old = red # deletions
  new = green # additions

[color "status"]
  added = yellow
  changed = green
  untracked = cyan

[diff]
  # Detect copies as well as renames
  renames = copies
  tool = difft

[help]
  # Automatically correct and execute mistyped commands
  autocorrect = 1

[push]
  # change to maching for machines with older versions of git 1.x.x
  default = simple
  autoSetupRemote = true
